Skip to content
MarketCalendars.com
Sign up

API documentation

REST API v2: trading hours, holidays and settlement days as JSON over HTTPS

List markets

GET/api/v2/markets

Every market with its id, MIC, time zone, type, country and data coverage

One request: list. A successful response counts as one request

Example

curl https://marketcalendars.com/api/v2/markets \
  -H "Authorization: Bearer mc_live_..."
GET /api/v2/markets200
{
  "count": 92,
  "markets": [
    {
      "id": "nyse",
      "name": "New York Stock Exchange",
      "shortName": "NYSE",
      "mic": "XNYS",
      "type": "stocks",
      "country": "United States",
      "countryCode": "US",
      "city": "New York",
      "region": "americas",
      "timezone": "America/New_York",
      "parent": null,
      "coverage": {
        "from": "1995-01-01",
        "to": "2051-12-31"
      },
      "url": "https://marketcalendars.com/markets/nyse"
    },
    {
      "id": "nasdaq",
      "name": "Nasdaq Stock Market",
      "shortName": "Nasdaq",
      "mic": "XNAS",
      "type": "stocks",
      "country": "United States",
      "countryCode": "US",
      "city": "New York",
      "region": "americas",
      "timezone": "America/New_York",
      "parent": null,
      "coverage": {
        "from": "1995-01-01",
        "to": "2051-12-31"
      },
      "url": "https://marketcalendars.com/markets/nasdaq"
    },
    {
      "id": "iex",
      "name": "Investors Exchange",
      "shortName": "IEX",
      "mic": "IEXG",
      "type": "stocks",
      "country": "United States",
      "countryCode": "US",
      "city": "New York",
      "region": "americas",
      "timezone": "America/New_York",
      "parent": null,
      "coverage": {
        "from": "2013-08-26",
        "to": "2051-12-31"
      },
      "url": "https://marketcalendars.com/markets/iex"
    }
  ]
}

A live response from the API. Lists longer than seven items are cut to three here

Response fields

MarketList object. Fields marked | null are always present and may be null

FieldTypeDescription
countintegerNumber of markets
marketsobject[]Every market, in the order of the site's market list
markets[].idstringMarket id used in every path
markets[].namestringFull name
markets[].shortNamestringShort name or abbreviation
markets[].micstring | nullISO 10383 market identifier code
markets[].typestringWhat the market tradesstocksfuturesoptionsbondsfxcrypto
markets[].countrystringCountry name
markets[].countryCodestring | nullISO 3166-1 alpha-2
markets[].citystringCity of the exchange
markets[].regionstringRegion, as on /regionsamericaseuropeasia-pacificmiddle-east-africa
markets[].timezonestringIANA time zone
markets[].parentstring | nullId of the primary market this is a sub-market of, such as cme for its product groups
markets[].coverageobjectDates we have data for
markets[].coverage.fromstring (date)First date with data
markets[].coverage.tostring (date)Last date with data
markets[].urlstring (uri)Market page on marketcalendars.com

Errors

  • 401unauthorizedThe Authorization header is missing, malformed, or names a revoked key
  • 429rate-limitedThe key sent more requests in a minute than its plan's burst limit
  • 429quota-exceededThe plan's requests for this period are used up